Bug 1406172 - Tracker: Tests fails obstruct community-mysql from build
Summary: Tracker: Tests fails obstruct community-mysql from build
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 26
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1475636
TreeView+ depends on / blocked
 
Reported: 2016-12-19 22:00 UTC by Michal Schorm
Modified: 2017-08-09 19:57 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-09 15:57:05 UTC


Attachments (Terms of Use)

Description Michal Schorm 2016-12-19 22:00:22 UTC
This bug has been observed for some time, it just got worse with new arch support in F25.

---

When community-mysql package is built, most of the times (up to 90%) the build fails, because of unsuccessfull tests.

However, the tests that fail seem to be random.
The exact same build submitted 3 times in a row fails on different tests on different architecture each time (even if all the others were built successfully).

No relationship was observed between tests that fail on the same architecture or between groups of tests.

---

Some time ago, the MariaDB project was forked from MySQL, to this day it can serve as a drop-in replacement, however I never encountered the same error with any MariaDB build, ever (well, for the time I maintain them both - mariadb and mysql - which is about 3 months so far).

---

Reproducible in Koji, with both basic and scratch srpm build, and COPR all the time.

Comment 1 Terje Røsten 2016-12-20 18:53:51 UTC
FYI:

MariaDB has internal list of unstable test:

 https://github.com/MariaDB/server/blob/5d9ca52219e4a4c92fc4a80ffc09b5075b1e5616/mysql-test/unstable-tests

which are skipped. MySQL don't use such list.

Comment 2 Terje Røsten 2016-12-20 19:05:15 UTC
Sorry, list is not used by default (tests are not skipped), it's optional.

Comment 3 Terje Røsten 2016-12-27 14:04:26 UTC
MySQL build passes "--mem --parallel=auto" to mtr, while mariadb use "export MTR_PARALLEL=". The former is much faster, however can be more unstable.

Comment 4 Fedora End Of Life 2017-02-28 10:49:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Fedora Update System 2017-07-25 13:18:47 UTC
community-mysql-5.7.19-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee93493bea

Comment 6 Fedora Update System 2017-07-25 22:50:28 UTC
community-mysql-5.7.19-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a827cf42a

Comment 7 Fedora Update System 2017-07-25 22:55:10 UTC
community-mysql-5.7.19-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7c039552fa

Comment 8 Fedora Update System 2017-07-26 01:20:26 UTC
community-mysql-5.7.19-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee93493bea

Comment 9 Florian Weimer 2017-07-31 13:51:47 UTC
community-mysql-5.7.19-3.fc27 failed to build on x86_64:

main.type_float                          w3 [ fail ]
        Test ended at 2017-07-26 05:55:10
CURRENT_TEST: main.type_float
--- /builddir/build/BUILD/mysql-5.7.19/mysql-test/r/type_float.result	2017-06-22 17:13:19.000000000 +0300
+++ /builddir/build/BUILD/mysql-5.7.19/build/mysql-test/var/3/log/type_float.reject	2017-07-26 08:55:10.459489234 +0300
@@ -280,7 +280,7 @@
 (6, -1695.31), (6, 1003.77), (6, 499.72), (6, 191.82);
 explain select sum(b) s from t1 group by a;
 id	select_type	table	partitions	type	possible_keys	key	key_len	ref	rows	filtered	Extra
-1	SIMPLE	t1	NULL	ALL	NULL	NULL	NULL	NULL	26	100.00	Using temporary; Using filesort
+1	SIMPLE	t1	NULL	ALL	NULL	NULL	NULL	NULL	24	100.00	Using temporary; Using filesort
 Warnings:
 Note	1003	/* select#1 */ select sum(`test`.`t1`.`b`) AS `s` from `test`.`t1` group by `test`.`t1`.`a`
 select sum(b) s from t1 group by a;
@@ -314,7 +314,7 @@
 alter table t1 add key (a, b);
 explain select sum(b) s from t1 group by a;
 id	select_type	table	partitions	type	possible_keys	key	key_len	ref	rows	filtered	Extra
-1	SIMPLE	t1	NULL	index	a	a	14	NULL	26	100.00	Using index
+1	SIMPLE	t1	NULL	index	a	a	14	NULL	24	100.00	Using index
 Warnings:
 Note	1003	/* select#1 */ select sum(`test`.`t1`.`b`) AS `s` from `test`.`t1` group by `test`.`t1`.`a`
 select sum(b) s from t1 group by a;
mysqltest: Result content mismatch

https://koji.fedoraproject.org/koji/taskinfo?taskID=20744546

This affects rebuilding the package for binutils bug 1475636.

Comment 10 Michal Schorm 2017-08-01 12:56:42 UTC
The testsuite is still not fully stable.

However, with latest update, it made a big step, from failing like 19/20 builds, it only fail in 1/3 builds cca.

I'd suugest you to make a few more builds.

Comment 11 Fedora Update System 2017-08-09 15:57:05 UTC
community-mysql-5.7.19-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-08-09 19:57:59 UTC
community-mysql-5.7.19-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.